###

#

dynamic_xy_step_type< View > Struct Template Reference
Image View » Algorithms and Utility Functions » Image View Transformations

Returns the type of a view that has a dynamic step along both X and Y. More...

`#include <dynamic_step.hpp>`

Inheritance diagram for dynamic_xy_step_type< View >:

## Detailed Description

### template<typename View>
struct boost::gil::dynamic_xy_step_type< View >

Returns the type of a view that has a dynamic step along both X and Y.

Base template for types that model both, HasDynamicXStepTypeConcept and HasDynamicYStepTypeConcept.

Todo:
  TODO: Is Locator allowed or practical to occur?

The documentation for this struct was generated from the following file:

- dynamic_step.hpp